Get Connector Action Details
curl --request GET \
--url https://production.runalloy.com/connectors/{connectorId}/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/connectors/{connectorId}/actions/{actionId}"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://production.runalloy.com/connectors/{connectorId}/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"id": "chat_postMessage",
"displayName": "Post",
"description": "Posts a message into a channel.",
"httpMethod": "post",
"path": "/chat.postMessage",
"parameters": [
{
"name": "token",
"in": "header",
"description": "Authentication token. Requires scope: `chat:write`",
"required": true,
"schema": {
"type": "string"
}
}
],
"requestBody": {
"required": [
"channel",
"text"
],
"type": "object",
"properties": {
"as_user": {
"type": "string",
"description": "Pass true to post the message as the authed user, instead of as a bot. Defaults to false. See [authorship](#authorship) below."
},
"attachments": {
"type": "string",
"description": "A JSON-based array of structured attachments, presented as a URL-encoded string."
},
"blocks": {
"title": "Block Kit blocks",
"type": "array",
"description": "This is a very loose definition, in the future, we'll populate this with deeper schema in this definition namespace.",
"items": {
"required": [
"type"
],
"type": "object",
"properties": {
"type": {
"type": "string"
}
}
}
},
"channel": {
"type": "string",
"description": "Channel, private group, or IM channel to send message to. Can be an encoded ID, or a name. See [below](#channels) for more details."
},
"icon_emoji": {
"type": "string",
"description": "Emoji to use as the icon for this message. Overrides `icon_url`. Must be used in conjunction with `as_user` set to `false`, otherwise ignored. See [authorship](#authorship) below."
},
"icon_url": {
"type": "string",
"description": "URL to an image to use as the icon for this message. Must be used in conjunction with `as_user` set to false, otherwise ignored. See [authorship](#authorship) below."
},
"link_names": {
"type": "boolean",
"description": "Find and link channel names and usernames."
},
"mrkdwn": {
"type": "boolean",
"description": "Disable Slack markup parsing by setting to `false`. Enabled by default."
},
"parse": {
"type": "string",
"description": "Change how messages are treated. Defaults to `none`. See [below](#formatting)."
},
"reply_broadcast": {
"type": "boolean",
"description": "Used in conjunction with `thread_ts` and indicates whether reply should be made visible to everyone in the channel or conversation. Defaults to `false`."
},
"text": {
"type": "string",
"description": "How this field works and whether it is required depends on other fields you use in your API call. [See below](#text_usage) for more detail."
},
"thread_ts": {
"type": "string",
"description": "Provide another message's `ts` value to make this message a reply. Avoid using a reply's `ts` value; use its parent instead."
},
"unfurl_links": {
"type": "boolean",
"description": "Pass true to enable unfurling of primarily text-based content."
},
"unfurl_media": {
"type": "boolean",
"description": "Pass false to disable unfurling of media content."
},
"username": {
"type": "string",
"description": "Set your bot's user name. Must be used in conjunction with `as_user` set to false, otherwise ignored. See [authorship](#authorship) below."
}
}
},
"sampleSuccessResponse": {
"ok": true,
"channel": "C1H9RESGL",
"ts": "1503435956.000247",
"message": {
"text": "Here's a message for you",
"username": "ecto1",
"bot_id": "B19LU7CSY",
"attachments": [
{
"text": "This is an attachment",
"id": 1,
"fallback": "This is an attachment's fallback"
}
],
"type": "message",
"subtype": "bot_message",
"ts": "1503435956.000247"
}
}
}
}Connectors
Get Connector Action Details
Get a specific action details for a connector
GET
/
connectors
/
{connectorId}
/
actions
/
{actionId}
Get Connector Action Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version
The ID of the user making the request; If not provided, the request will be made as the API Key user
Response
200 - application/json
Action details
⌘I

